#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lshw
Version		:	B.02.20
Release		:	17.2.0.rel%{?dist}
Summary		:	Hardware Lister
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.ezix.org/project/wiki/HardwareLiSter

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk2+

Requires	:	hwdata

Provides	:	%{name}-%{version}
#-----------------------------------------------------------------------------
%description
lshw (Hardware Lister) is a small tool to provide detailed
information on the hardware configuration of the machine.
It can report exact memory configuration, firmware version,
mainboard configuration, CPU version and speed, cache
configuration, bus speed, etc. on DMI-capable x86 or
EFI (IA-64) systems and on some PowerPC machines
(PowerMac G4 is known to work).

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md COPYING docs/TODO docs/Changelog docs/lshw.xsd
%{_sbindir}/%{name}
%{_datadir}/%{name}/*.{ids,txt}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		gui
Summary		:	Hardware Lister (GUI version)
Group		:	Applications/System

#-----------------------------------------------------------------------------
#BuildRequires	:	gtk+
Requires	:	%{name}-%{version}
#-----------------------------------------------------------------------------
%description gui
lshw (Hardware Lister) is a small tool to provide detailed informaton on
the hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version
and speed, cache configuration, bus speed, etc. on DMI-capable x86s
 systems and on some PowerPC machines (PowerMac G4 is known to work).

This package provides a graphical user interface to display hardware
information.

#-----------------------------------------------------------------------------
%files gui
%defattr(-,root,root,-)
%{_sbindir}/gtk-%{name}
%{_datadir}/lshw/artwork/*.svg
%{_datadir}/lshw/ui/gtk-%{name}.ui

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{?_smp_mflags}					\
	PREFIX="%{_prefix}"				\
	SBINDIR="%{_sbindir}"				\
	MANDIR="%{_mandir}"				\
	DATADIR="%{_datadir}"				\
	all

%{__make}						\
	%{?_smp_mflags}					\
	PREFIX="%{_prefix}"				\
	SBINDIR="%{_sbindir}"				\
	MANDIR="%{_mandir}"				\
	DATADIR="%{_datadir}"				\
	gui

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX="%{_prefix}"				\
	SBINDIR="%{_sbindir}"				\
	MANDIR="%{_mandir}"				\
	DATADIR="%{_datadir}"				\
	INSTALL="%{__install} -p"			\
	install

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX="%{_prefix}"				\
	SBINDIR="%{_sbindir}"				\
	MANDIR="%{_mandir}"				\
	DATADIR="%{_datadir}"				\
	INSTALL="%{__install} -p"			\
	install-gui

#-----------------------------------------------------------------------------
%changelog
